<DOCTYPE html "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="es">
<?php
$connect = mysqli_connect("127.0.0.1", "root", "", "formacion");

/* Comprobación de la conexión */
if ($connect) {
    echo "Fallo en la conexión: ".mysqli_connect_error();
    exit();
}
setlocale (LC_TIME,'es_ES.utf8','esp'); 
?>
<head>
	<title>Ejercicio formación</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-85" />
	<script language="JavaScript"> 
	function verif_date(fecha_recib) { 
		if (fecha_recib =='') {
			alert('Fecha no válida');
			document.formulario.enviar.disabled=true;
		}
		else {
			document.formulario.enviar.disabled=false;
		}
	}
	
    function enable_formador() { 
		var tabla_formation = new Array();

		<?php
		$consulta = "SELECT * FROM tipo_formacion_formador order by Id_tipo_formacion";

		if ($resultado = mysqli_query($connect,$consulta)) {
			$incremento = 0;
			$Id_tipo_formacion = 0;
			/* fetch la tabla asociada */
			while ($linea = mysqli_fetch_assoc($resultado)) {
				if ($Id_tipo_formacion == $linea['Id_tipo_formacion']) {
					echo "tabla_formation[".$linea['Id_tipo_formacion']."][".$incremento."]=".$linea['Id_formador'].";\n";
				} 
				else {
					$Id_tipo_formacion = $linea['Id_tipo_formacion'];
					$incremento = 0;
					echo "tabla_formation[".$linea['Id_tipo_formacion']."] = new Array();\n";
					echo "tabla_formation[".$linea['Id_tipo_formacion']."][".$incremento."]=".$linea['Id_formador'].";\n";
				}
				$incremento = $incremento + 1;
			}
			/*libera el objeto resultado */
			mysqli_free_result($resultado);
		}
		?>
		//puesta a cero de las checkbox
		var i; 
		var obj_input; 
		for (i = 0; i < document.formulario.elements.length; i++) 
		{ 
			obj_input = document.formulario.elements[i]; 
			if(obj_input.type=="checkbox") // probamos si CheckBox 
			{ 
				obj_input.disabled=true;
				obj_input.checked=false;
			}

			if(obj_input.name.substring(0,5)=="inicio" || obj_input.name.substring(0,3)=="fin") // probamos si date inicio o si date de fin
			{ 
				obj_input.disabled=true;
			} 			
		} 

		id_formation=document.formulario.tipo_formacion.options[document.formulario.tipo_formacion.selectedIndex].value;
		var tabla_formador = new Array();
		tabla_formador = tabla_formation[id_formation];
		for(var i= 0; i < tabla_formador.length; i++)
		{
			document.getElementById("formador"+tabla_formador[i]).disabled=false;
			document.getElementById("inicio"+tabla_formador[i]).disabled=false;
			document.getElementById("fin"+tabla_formador[i]).disabled=false;
		}

	}
	</script>
</head>

<body onload="enable_formador()">

<h2>Insertar un becario en formación</h2><br />
<form name="formulario" id="formulario" action="insert_becario.php" method="POST">
nombre: <input type="text" name="nombre"><br /><br />
apellidos: <input type="text" name="apellidos"><br /><br />
nacionalidad: <select name="nacionalidad">
<?php
$consulta = "SELECT * FROM nacionalidad";

if ($resultado = mysqli_query($connect,$consulta)) {

    /* fetch la tabla asociada */
    while ($linea = mysqli_fetch_assoc($resultado)) {
        echo "<option value='".$linea['Id_nacionalidad']."'>".$linea['etiqueta']."</option>";
    }

    /*libera el objeto resultado */
    mysqli_free_result($resultado);
}
?>
</select><br /><br />
tipo de la formación: <select name="tipo_formacion" onchange="enable_formador()">
<?php
$consulta = "SELECT * FROM tipo_formacion";

if ($resultado = mysqli_query($connect,$consulta)) {

    /* fetch la tabla asociada */
    while ($linea = mysqli_fetch_assoc($resultado)) {
        echo "<option value='".$linea['Id_tipo_formacion']."'>".$linea['etiqueta']."</option>";
    }

    /*libera el objeto resultado */
    mysqli_free_result($resultado);
}
?>
</select><br /><br />
formadores por fecha:<br />
<?php
$consulta = "SELECT * FROM formador left join sala on formador.id_sala = sala.id_sala";

if ($resultado = mysqli_query($connect,$consulta)) {

    /* fetch la tabla asociada */
    while ($linea = mysqli_fetch_assoc($resultado)) {
        echo "<input type='checkbox' value='".$linea['Id_formador']."' id='formador".$linea['Id_formador']."' name='formador[]'>".$linea['Apellidos']." ".$linea['Nombre']." en la sala ".$linea['etiqueta'].",";
		echo " inicio: <input type='text' name='inicio".$linea['Id_formador']."' id='inicio".$linea['Id_formador']."' value='".strftime("%d/%m/%Y")."' onchange='verif_date(this.value)' />,";
		echo " fin: <input type='text' name='fin".$linea['Id_formador']."' id='fin".$linea['Id_formador']."' value='".date('d/m/Y', strtotime('+6 month'))."' onchange='verif_date(this.value)' /><br /><br />";
    }

    /*libera el objeto resultado */
    mysqli_free_result($resultado);
}
?>
<br />
<input type="submit" name="enviar" value="Enviar" />
</form>
<br />
<a href="lista_becario_a_eliminar.php">Eliminación de un becario</a> <a href="lista_becario_a_modificar.php">Modificar un becario</a>
<?php

/* Cierre de la conexión */
mysqli_close($connect);

?>
</body>
</html>